*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
#game-container {
    text-align: center;
}
#play__header{
    margin-bottom: 10px;
    display: flex;
    justify-content:space-between ;
    align-items: center;
    gap: 10px;
}

#score-value,#mang-value{
    font-weight: 600;
    margin-left: 3px;
}


.play__btn{
    font-size: 16px;
    justify-content: center;
    align-items: center;
    display: flex;
    min-width: 100px;
    height: 42px;
    color: #fff;
    border-radius: 4px;
    border: none;
    outline: none;
    padding: 5px 10px;
}

.play__btn--score{
    background-color: #5e9bff;
}
.play__btn--mang{
    background-color: #fe5050;
}
.play__btn--reset{
    background-color: #f39200;
}

#start-button.play__btn{
    color: #333;
    background-color: #f2f2f2;
}

#start-button.play__btn--start:hover{
    color: #fff;
    background-color: #f39200;
}

.play__footer{
    margin-top: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px;
}


.letter-box {
    border: 1px solid #3fbbc0;
    background-color: #ecf8f9;
    height: 350px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    overflow: hidden;
}

.letter-box--fail{
    border-color: red;
}
.letter-container {
    border: 1px solid #3fbbc0;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    width: 50px;
    height: 50px;
    font-size: 38px;
    position: absolute;
    top: -60px;
    background-color: #f5f5f5;
    color: #333;
    padding: 5px;
}

.gameOver{
    font-size: 25px;
    border-radius: 8px;
    display: flex;
    
    justify-content: center;
    align-items: center;
    color: red;
    height: 50px;
    width: 350px;
    border: 1px solid red;
    box-shadow: 2px 5px 2px #747272;
}

.play__header__dokho{
    border-color: #c0bcbc;
    border-radius: 4px;
    font-size: 16px;
    outline: none;
    color: #c0bcbc;
    padding: 5px;
    height: 42px;
    width: 250px;
}
.play__header__dokho:focus{
    border:3px solid #c3e9ec;
}
.play__header__right{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

.explosion {
    position: absolute;
    width: 50px; /* Độ rộng của hiệu ứng */
    height: 50px; /* Chiều cao của hiệu ứng */
    background-color: #3fbbc0; /* Màu sắc của hiệu ứng */
    border-radius: 50%; /* Độ cong của góc, để tạo hình tròn */
    animation: explode 1s ease-out; /* Sử dụng animation để tạo hiệu ứng nổ tung */
    z-index: 10000;
    /* left: 50%; Căn giữa theo chiều ngang */
    /* top: 50%; Căn giữa theo chiều dọc */
    /* transform: translate(-50%, -50%); Dịch chuyển hiệu ứng để căn giữa */
    transform-origin: center;
}

@keyframes explode {
    0% { /* Không có thay đổi ban đầu */
        transform: scale(1);
        opacity: 1;
    }
100% { /* Kích thước giảm và độ trong suốt giảm, tạo hiệu ứng nổ tung */
        transform: scale(2);
        opacity: 0;
    }
}